package com.jeesite.modules.yinet.service;

import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.jeesite.common.entity.Page;
import com.jeesite.common.service.CrudService;
import com.jeesite.modules.yinet.entity.YinetMessageDitch;
import com.jeesite.modules.yinet.dao.YinetMessageDitchDao;

/**
 * 消息渠道Service
 * @author xqx
 * @version 2022-06-18
 */
@Service
@Transactional(readOnly=true)
public class YinetMessageDitchService extends CrudService<YinetMessageDitchDao, YinetMessageDitch> {
	
	/**
	 * 获取单条数据
	 * @param yinetMessageDitch
	 * @return
	 */
	@Override
	public YinetMessageDitch get(YinetMessageDitch yinetMessageDitch) {
		return super.get(yinetMessageDitch);
	}
	
	/**
	 * 查询分页数据
	 * @param yinetMessageDitch 查询条件
	 * @param yinetMessageDitch.page 分页对象
	 * @return
	 */
	@Override
	public Page<YinetMessageDitch> findPage(YinetMessageDitch yinetMessageDitch) {
		return super.findPage(yinetMessageDitch);
	}
	
	/**
	 * 查询列表数据
	 * @param yinetMessageDitch
	 * @return
	 */
	@Override
	public List<YinetMessageDitch> findList(YinetMessageDitch yinetMessageDitch) {
		return super.findList(yinetMessageDitch);
	}
	
	/**
	 * 保存数据（插入或更新）
	 * @param yinetMessageDitch
	 */
	@Override
	@Transactional(readOnly=false)
	public void save(YinetMessageDitch yinetMessageDitch) {
		super.save(yinetMessageDitch);
	}
	
	/**
	 * 更新状态
	 * @param yinetMessageDitch
	 */
	@Override
	@Transactional(readOnly=false)
	public void updateStatus(YinetMessageDitch yinetMessageDitch) {
		super.updateStatus(yinetMessageDitch);
	}
	
	/**
	 * 删除数据
	 * @param yinetMessageDitch
	 */
	@Override
	@Transactional(readOnly=false)
	public void delete(YinetMessageDitch yinetMessageDitch) {
		super.delete(yinetMessageDitch);
	}
	
}
